Bug 1810491 - openshift-installer does only import a singe CA from clouds.yaml "cacert" bundle for OpenShift on OpenStack
Summary: openshift-installer does only import a singe CA from clouds.yaml "cacert" bun...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.3.z
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: ---
: 4.4.0
Assignee: Martin André
QA Contact: David Sanz
URL:
Whiteboard:
Depends On: 1809780
Blocks: 1810492
TreeView+ depends on / blocked
 
Reported: 2020-03-05 11:20 UTC by Martin André
Modified: 2020-05-13 22:00 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: When the CA cert file referenced from the clouds.yaml contained more than one certificate, the complete cert bundle was added to the bootstrap ignition file, but only the first one was actually trusted to gather the ignition file. Consequence: It was not possible to install OCP on OpenStack environment using intermediate certificates signed by non-default trusted authority. Fix: Split the CA cert bundle into separate certs and add them to the ignition file as separate entries. Result: It is now possible to install OCP on OpenStack environment using intermediate certificates signed by non-default trusted authorities.
Clone Of: 1809780
Environment:
Last Closed: 2020-05-13 22:00:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 3241 0 None closed [release-4.4] Bug 1810491: OpenStack: pass all CAs to bootstrap ignition 2020-07-07 10:43:08 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-13 22:00:55 UTC

Comment 3 David Sanz 2020-03-30 13:26:22 UTC
Verified on 4.4.0-0.nightly-2020-03-30-095809

Comment 6 errata-xmlrpc 2020-05-13 22:00:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.